/**
*Network App
* There are different ways implementing an App
*/
var NetworkApp = NetworkApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
NetworkApp.App = function () {
    this.id = 'Network Settings';
    this.name = 'Network Settings';
    this.version = '6.0.48';
    this.active = false;
    this.menuIcon = '/apps/network/images/logo.png?v=6.0.48&';
    this.shortcutIcon = '/apps/network/images/logo.png?v=6.0.48&';
	this.entryUrl = '/apps/network/network_index.html?v=6.0.48&';
	//this.entryHelpUrl = '/apps/network/network_help.html?v=6.0.48&';
    var self = this;
    this.NetworkAppWindow = function () {
    	if(UNAS.CheckAppState('Network Settings')){
    		return false;
    	}
        self.window = new MUI.Window({
            id: 'NetworkAppWindow',
            title: UNAS._('Network Settings'),
            icon: '/apps/network/images/logo_small.png?v=6.0.48&',
            loadMethod: 'xhr',
            width: 850,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/network/network_index.html?v=6.0.48&',
            require: {  css: ['/apps/network/css/network.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Network Settings",'NetworkAppWindow')},
            onResize: function(){UNAS.Event.fireEvent('networkwindowresize');}
        });
    };
	this.NetworkAppUninstall = function (){
    	UNAS.RemoveDesktopShortcut('Network Settings');
    	UNAS.RemoveMenu('Network Settings');
    	UNAS.RemoveAppFromGroups('Network Settings', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('Network Settings', 'Help');
    	UNAS.RemoveAppFromApps('Network Settings');
    }
    new UNAS.Menu('UNAS_ControlPanel_Setting_Menu', this.name, this.menuIcon, 'Network Settings', '', this.NetworkAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Network Settings', this.NetworkAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Setting', 'Location' : 5, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
	//new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Setting', 'Location' : 5, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
	var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Network Settings', UNAS._('Network Settings')); //translate menu
        //UNAS.SetShortcutTitle('Network Settings', UNAS._('Network Settings')); //translate shortcut
		if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('NetworkAppWindow', UNAS._('Network Settings'));
        }
    }
	UNAS.LoadTranslation('/apps/network/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name,this.shortcutIcon,this.NetworkAppWindow,this.NetworkAppUninstall);
};

new NetworkApp.App(); //Create app
