var etherData = {};

function NetworkInitConf() {
  // jQuery('#network_manager_waiting_cont').css('display','block');
  // jQuery('#network_manager_waiting_logo').css('display','block');
  jQuery('#network_manager_page').hide();
  jQuery.ajax({
    url: "/apps/network/includes/index.php",
    type: "POST",
    async: true,
    data: JSON.encode({
      "cmd": "network_info_all",
      "token": UToken
    }),
    timeout: 30000,
    dataType: "json",
    contentType: "application/json",
    success: function(data) {
      if (data.err === 0) {
        etherData = data.results.ether || {};
        update_proxy(data.results.proxy);
        GetIfaceStatus(data.results.ether);
        ovs_draw(data.results.ovs);
        GetGatewayStatus(data.results.ether);
        GetRouteStatus(data.results.route);
      }
    },
    complete: function() {
      // jQuery('#network_manager_waiting_cont').css('display','none');
      // jQuery('#network_manager_waiting_logo').css('display','none');
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {}
  });
}

function update_proxy(r) {
  if (typeof(r.all_proxy) != "undefined") {
    jQuery('#network_all_proxy_enable').prop("checked", r.all_proxy);
  }
  proxy_set = false;
  if (typeof(r.http_proxy) != "undefined") {
    proxy_set = true;
    if (typeof(r.http_proxy.url) != "undefined") jQuery('#network_http_proxy').val(r.http_proxy.url);
    if (typeof(r.http_proxy.user) != "undefined") jQuery('#network_http_proxy_user').val(r.http_proxy.user);
    if (typeof(r.http_proxy.pass) != "undefined") jQuery('#network_http_proxy_pass').val(r.http_proxy.pass);
  }
  if (typeof(r.https_proxy) != "undefined") {
    proxy_set = true;
    if (typeof(r.https_proxy.url) != "undefined") jQuery('#network_https_proxy').val(r.https_proxy.url);
    if (typeof(r.https_proxy.user) != "undefined") jQuery('#network_https_proxy_user').val(r.https_proxy.user);
    if (typeof(r.https_proxy.pass) != "undefined") jQuery('#network_https_proxy_pass').val(r.https_proxy.pass);
  }
  if (typeof(r.ftp_proxy) != "undefined") {
    proxy_set = true;
    if (typeof(r.ftp_proxy.url) != "undefined") jQuery('#network_ftp_proxy').val(r.ftp_proxy.url);
    if (typeof(r.ftp_proxy.user) != "undefined") jQuery('#network_ftp_proxy_user').val(r.ftp_proxy.user);
    if (typeof(r.ftp_proxy.pass) != "undefined") jQuery('#network_ftp_proxy_pass').val(r.ftp_proxy.pass);
  }
  if (typeof(r.no_proxy) != "undefined") {
    jQuery('#network_no_proxy').val(r.no_proxy);
  }
  if (!proxy_set) {
    jQuery('#network_all_proxy_enable').prop("checked", true);
  }
  network_proxy_status();
}

function network_proxy_status() {
  if (jQuery('#network_all_proxy_enable').prop("checked")) {
    jQuery('#network_https_proxy').attr('disabled', true);
    jQuery('#network_https_proxy_user').attr('disabled', true);
    jQuery('#network_https_proxy_pass').attr('disabled', true);
    jQuery('#network_ftp_proxy').attr('disabled', true);
    jQuery('#network_ftp_proxy_user').attr('disabled', true);
    jQuery('#network_ftp_proxy_pass').attr('disabled', true);
  } else {
    jQuery('#network_https_proxy').attr('disabled', false);
    jQuery('#network_https_proxy_user').attr('disabled', false);
    jQuery('#network_https_proxy_pass').attr('disabled', false);
    jQuery('#network_ftp_proxy').attr('disabled', false);
    jQuery('#network_ftp_proxy_user').attr('disabled', false);
    jQuery('#network_ftp_proxy_pass').attr('disabled', false);
  }
}

//
function GetIfaceStatus(r) {
  jQuery('#network_manager_page').show();
  jQuery('#network_eth_card').html(GenerateEthernetDIV(r));
}

function switchContent(type) {
  var enevt = window.enevt || arguments.callee.caller.arguments[0];
  var that = enevt.currentTarget;
  jQuery(that).addClass('unas_tab_sel').removeClass('unas_tab')
  jQuery(that).siblings().addClass('unas_tab').removeClass('unas_tab_sel');
  jQuery('.jvc-content-list').hide();
  jQuery('#jv-item-' + type).show();
}

function switchContent_sub(type) {
  var enevt = window.enevt || arguments.callee.caller.arguments[0];
  var that = enevt.currentTarget;
  jQuery(that).addClass('cur-nav').removeClass('sel-nav')
  jQuery(that).siblings().addClass('sel-nav').removeClass('cur-nav');
  jQuery('.jvc-content-list').hide();
  jQuery('#jv-item-' + type).show();
}

function upEthernetBtn(f){
  if (f) {
    jQuery('#jv-ethernet-auto-txt').text(UNAS._('##$@network@$##Enable##$@network@$##'));
  }else {
    jQuery('#jv-ethernet-auto-txt').text(UNAS._('##$@network@$##Disable##$@network@$##'));
  }
  // jQuery(this).toggleClass("open").children(".switch-btn").toggleClass("right");
  // let clickType = jQuery(this).hasClass('open') ? true : false;
}

(function(){
  jQuery('#jv-routenav .network_item_title').each(function(i,e){
    e.onclick = function(){
      jQuery('.route_table').hide();
      jQuery(e).addClass('network_item_title_sel').siblings().removeClass('network_item_title_sel');
      var ct = jQuery(e).attr('type');
      jQuery('#'+ct).show();
      if (ct == 'network_manager_route_table') {
        jQuery('#jv-staticroutebtn').show();
      }else {
        jQuery('#jv-staticroutebtn').hide();
      }
    }
  })
})()
