function templateAppend(target, template, name) {
  jQuery('#' + template).clone().attr('id', name).show().appendTo(target);
  var tagName = '#' + name;
  return jQuery(tagName);
}

function GetOvsStatus() {
  jQuery.ajax({
    url: "/apps/network/includes/index.php",
    type: "POST",
    async: true,
    data: JSON.encode({
      "cmd": "network_ovs_conf",
      "token": UToken
    }),
    timeout: 30000,
    dataType: "json",
    contentType: "application/json",
    success: function(data) {
      if (data.err === 0) {
        // ovs_draw(data.results);
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {}
  });
}

function ovs_draw(conf) {
  // console.log(conf);
  jQuery('#jv-network_manager').empty();
  for (let b = 0; b < conf.child.length; ++b) {
    var br_conf = conf.child[b];

    if (br_conf.item_type == "Bridge") {

      var network_managerDom = templateAppend('#jv-network_manager', 'jvt-network_manager', 'jvt-network_manager-' + b);
      network_managerDom.find('.edit_container').html(br_conf.id);

      network_managerDom.find('.jvc-ovsadd').attr('key', br_conf.id).on('click', function() {
        NetworkOvsBindPort(jQuery(this).attr('key'));
      })
      network_managerDom.find('.jvc-ovsdelete').attr('key', br_conf.id).on('click', function() {
        DelOvs(jQuery(this).attr('key'));
      })

      for (let i = 0; i < br_conf.child.length; ++i) {
        var iface_conf = br_conf.child[i];

        if (iface_conf["id"] !== br_conf["id"]) {
          var phy = iface_conf.child[0].phy;
          var isinternal = false;
          var ovsDom = templateAppend(network_managerDom.find('.jvc-ovshost'), 'jvt-subsidiaryItem', 'jvt-subsidiaryItem-' + b + i);
          ovsDom.find('.edit_container').html(iface_conf.id);

          ovsDom.find('.jvc-phyovsedit').attr('dev', iface_conf.Port);
          ovsDom.find('.jvc-phyovsedit').attr('devtype', 'ethernet');
          ovsDom.find('.jvc-phyovsedit').on('click', function() {
            NetworkEditWindowFun(jQuery(this).attr('dev'), jQuery(this).attr('devtype'));
          })

          ovsDom.find('.jvc-phyovsdelete').attr('br', br_conf.id);
          ovsDom.find('.jvc-phyovsdelete').attr('port', iface_conf.Port);
          ovsDom.find('.jvc-phyovsdelete').on('click', function() {
            UnbindOvs(jQuery(this).attr('br'), jQuery(this).attr('port'));
          })


          for (var j = 0; j < iface_conf.child.length; j++) {
            var iface_conf_data = iface_conf.child[j];
            var wkmdom = templateAppend(ovsDom.find('.wkmhost'), 'jvt-wkmitem', 'jvt-wkmitem-' + b + i + j);
            var wkm = '';

            if (iface_conf_data.linked) {
              wkm = iface_conf_data.id + ', ' + iface_conf_data.speed + 'Mbps ' + UNAS._(iface_conf_data.duplex);
            } else {
              wkm = iface_conf_data.id;
            }

            if (iface_conf_data.linked == false) {
              wkmdom.find('.networkicon').attr('src', '/apps/network/images/network_eth_discon.png');
            }
            // console.log(iface_conf_data.hasOwnProperty('child'));
            if (!iface_conf_data.phy) {
              if (!iface_conf_data.hasOwnProperty('child') || (iface_conf_data.child[0].type != 'internal')) {
                isinternal = true;
              }
            }
            wkmdom.find('.wkm').text(wkm);
          }

          if (phy) {
            ovsDom.find('.jvc-phyovsdelete').css('display', 'inline-block');
          } else {
            if (iface_conf["id"].indexOf('unas') < 0) {
              ovsDom.find('.jvc-phyovsdelete').css('display', 'inline-block');
            }
            ovsDom.find('.jvc-phyovsedit').css('display', 'inline-block');

            if (isinternal) {
                ovsDom.find('.jvc-phyovsedit').hide();
                ovsDom.find('.jvc-phyovsdelete').hide();
            }
          }


        }
      }
    }
  }
}

function NetworkAddOvsItem() {
  var cwh = getClientWH();
  var NetworkOvsAddW = new MUI.Modal({
    id: 'NetworkOvsAddWindow',
    title: UNAS._('##$@network@$##Add Open vSwitch Bridge##$@network@$##'),
    modal: true, //阴影
    width: cwh.w,
    height: cwh.h,
    addClass:'mobile-modal',
    type: 'modal2',
    modalOverlayClose: false,
    contentURL: '/apps/network/m/network_ovsadd.html?v=6.0.48&'
  });
  NetworkOvsAddW.ProcessNetworkOvsAdd = function() {
    NetworkInitConf();
  }
}
